org.apache.flume.node

## Interface ConfigurationProvider

- All Known Implementing Classes:
    AbstractConfigurationProvider, AbstractZooKeeperConfigurationProvider, PollingPropertiesFileConfigurationProvider, PollingZooKeeperConfigurationProvider, PropertiesFileConfigurationProvider, StaticZooKeeperConfigurationProvider

      public interface ConfigurationProvider

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MaterializedConfiguration` | `getConfiguration()`

- - ### Method Detail

    - #### getConfiguration

          MaterializedConfiguration getConfiguration()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.